// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js  
angular.module('starter', ['ionic', 'starter.controllers','ionic-datepicker','geolocation','ngCordova'])
.run(function($ionicPlatform,$ionicPopup,$cordovaSplashscreen) {
  //$injector.get('$cordovaNetwork'); //ensure the factory always gets initialised
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

    .state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })

  .state('app.registration', {
    url: '/registration',
    views: {
      'menuContent': {
        templateUrl: 'templates/registration.html',
		 controller: 'RegistrationCtrl'
      }
    }
  })  
  .state('app.divineFeminiEvent', {
    url: '/divineFeminiEvent',
    views: {
      'menuContent': {
        templateUrl: 'templates/divineFeminiEvent.html',
        controller: 'EventListCtrl'
      }
    }
  })
  .state('app.contactUs', {
    url: '/contactUs',
    views: {
      'menuContent': {
        templateUrl: 'templates/contactUs.html',
        controller: 'ContactUsCtrl'
      }
    }
  })
  .state('app.aboutTheApp', {
    url: '/aboutTheApp',
    views: {
      'menuContent': {
        templateUrl: 'templates/aboutTheApp.html',
        controller: 'AboutTheAppCtrl'
      }
    }
  })
  .state('app.comingSoon', {
    url: '/comingSoon',
    views: {
      'menuContent': {
        templateUrl: 'templates/comingSoon.html',
        controller: 'ComingSoonCtrl'
      }
    }
  })
  .state('app.forgetPassword', {
    url: '/forgetPassword',
    views: {
      'menuContent': {
        templateUrl: 'templates/forgetPassword.html',
        controller: 'ForgetPasswordCtrl'
      }
    }
  }) 
  .state('app.myProfile', {
    url: '/myProfile',
    views: {
      'menuContent': {
        templateUrl: 'templates/myProfile.html',
        controller: 'MyProfileCtrl'
      }
    }
  })
  .state('app.circleDetails', {
    url: '/circleDetails',
    views: {
      'menuContent': {
        templateUrl: 'templates/circleDetails.html',
        controller: 'CircleDetailsCtrl'
      }
    },
    params: {          
      'circle_detail_footer':null
    }
  })
	.state('app.eventDetails', {
      url: '/eventDetails',
      views: {
        'menuContent': {
          templateUrl: 'templates/eventDetails.html',
          controller: 'EventDetailsCtrl'
        }
      },
      params: {          
          'event_detail_params_object':null
      }
    })
	.state('app.findEvent', {
      url: '/findEvent',
      views: {
        'menuContent': {
          templateUrl: 'templates/findEvent.html',
          controller: 'FindEventCtrl'
        }
      }
    })
	
	.state('app.circleList', {
      url: '/circleList',
      views: {
        'menuContent': {
          templateUrl: 'templates/circleList.html',
          controller: 'CircleListCtrl'
        }
      }
    })
  .state('app.addCircle', {
    url: '/addCircle',
    views: {
      'menuContent': {
        templateUrl: 'templates/addCircle.html',
		 controller: 'AddCircleCtrl'
      }
    },
     params: {          
      'city_object':null
    }
  })
   .state('app.editCircle', {
    url: '/editCircle',
    views: {
      'menuContent': {
        templateUrl: 'templates/editCircle.html',
     controller: 'EditCircleCtrl'
      }
    },
     params: {          
          'hostingRecord':null,
          'city_object':null,
    }
  })
.state('app.findCircle', {
      url: '/findCircle',
      views: {
        'menuContent': {
          templateUrl: 'templates/findCircle.html',
          controller: 'FindCircleCtrl'
        }
      }
    })
  .state('app.allNotifications', {
    url: '/allNotifications',
    views: {
      'menuContent': {
        templateUrl: 'templates/allNotifications.html',
        controller: 'AllNotificationsCtrl'
      }
    }
  }) 
  .state('app.newlyListed', {
    url: '/newlyListed',
    views: {
      'menuContent': {
        templateUrl: 'templates/newlyListed.html',
        controller: 'NewlyListedCtrl'
      }
    }
  })
   
   .state('app.editMyAccount', {
    url: '/editMyAccount',
    views: {
      'menuContent': {
        templateUrl: 'templates/editMyAccount.html',
        controller: 'EditMyAccountCtrl'
      }
    }
  })      
  
  .state('app.addEvent', {
    url: '/addEvent',
    views: {
      'menuContent': {
        templateUrl: 'templates/addEvent.html',
		 controller: 'AddEventCtrl'
      }
    },
    params: {          
      'city_object':null
    }
  })
  .state('app.editEvent', {
    url: '/editEvent',
    views: {
      'menuContent': {
        templateUrl: 'templates/editEvent.html',
     controller: 'EditEventCtrl',

      },
      params: {          
      'city_object':null
    }
    },
    params: {          
      'hostingRecord':null
    }
  })
  
  .state('app.terms', {
    url: '/terms',
    views: {
      'menuContent': {
        templateUrl: 'templates/terms.html',
		 controller: 'TermsCtrl'
      }
    }
  })
.state('app.conformationSignUp', {
    url: '/conformationSignUp',
    views: {
      'menuContent': {
        templateUrl: 'templates/conformationSignUp.html',
		 controller: 'ConformationSignUpCtrl'
      }
    }
  })
.state('app.home', {
    url: '/home',
    views: {
      'menuContent': {
        templateUrl: 'templates/home.html',
     controller: 'HomeCtrl'
      }
    }
  })
  .state('app.hostingList', {
    url: '/hostingList',
    views: {
      'menuContent': {
        templateUrl: 'templates/hostingList.html',
        controller: 'HostingListCtrl'
      }
    }
  })
  .state('app.cityPopoverTpl', {
    url: '/cityPopoverTpl',
    views: {
      'menuContent': {
        templateUrl: 'templates/cityPopoverTpl.html',
        controller: 'CityPopoverTplCtrl'
      }
    },
    params: {          
      'select_city_params_object':null
    }
  })
  .state('app.selectCityPopoverTpl', {
    url: '/selectCityPopoverTpl',
    views: {
      'menuContent': {
        templateUrl: 'templates/selectCityPopoverTpl.html',
        controller: 'SelectCityPopoverTplCtrl'
      },
        params: {          
        'select_city_params_object':null
      }
    }
  })
    .state('app.landing', {
      url: '/landing',
      views: {
        'menuContent': {
          templateUrl: 'templates/landing.html',
          controller: 'LandingsCtrl'
        }
      }
    });  
  // if none of the above states are matched, use this as the fallback
   $urlRouterProvider.otherwise(localStorage.getItem('user_tokan')==null ? '/app/landing' : '/app/home');
});